# PhasicFlow: fixedWall::Model Class Reference

fixedWall::Model Class Reference

Motion model class to be passed to computational units/kernels for transfing points and returning velocities at various positions. More...

## Public Member Functions

INLINE_FUNCTION_HD | Model ()
INLINE_FUNCTION_HD | Model (const Model &)=default
INLINE_FUNCTION_HD Model & | operator= (const Model &)=default
INLINE_FUNCTION_HD realx3 | pointVelocity (int32 n, const realx3 p) const
INLINE_FUNCTION_HD realx3 | operator() (int32 n, const realx3 &p) const
INLINE_FUNCTION_HD realx3 | transferPoint (int32 n, const realx3 p, real dt) const
INLINE_FUNCTION_HD int32 | numComponents () const

## Detailed Description

Motion model class to be passed to computational units/kernels for transfing points and returning velocities at various positions.

Definition at line 57 of file fixedWall.hpp.

## Constructor & Destructor Documentation

## Model() [1/2]

INLINE_FUNCTION_HD Model | ( |  | ) |

inline

Definition at line 63 of file fixedWall.hpp.

## Model() [2/2]

INLINE_FUNCTION_HD Model | ( | const Model & |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_HD Model& operator= | ( | const Model & |  | ) |

default

## pointVelocity()

INLINE_FUNCTION_HD realx3 pointVelocity | ( | int32 | n,
|  | const realx3 | p
| ) |  | const

inline

Definition at line 73 of file fixedWall.hpp.

## operator()()

INLINE_FUNCTION_HD realx3 operator() | ( | int32 | n,
|  | const realx3 & | p
| ) |  | const

inline

Definition at line 79 of file fixedWall.hpp.

## transferPoint()

INLINE_FUNCTION_HD realx3 transferPoint | ( | int32 | n,
|  | const realx3 | p,
|  | real | dt
| ) |  | const

inline

Definition at line 85 of file fixedWall.hpp.

## numComponents()

INLINE_FUNCTION_HD int32 numComponents | ( |  | ) | const

inline

Definition at line 90 of file fixedWall.hpp.

The documentation for this class was generated from the following file:

- src/MotionModel/fixedWall/fixedWall.hpp